List budget products
curl --request GET \
--url https://app.msportal.ai/api/public/v1/budgets/products \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.msportal.ai/api/public/v1/budgets/products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.msportal.ai/api/public/v1/budgets/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"sku": "<string>",
"category": "<string>",
"vendor": "<string>",
"unitPrice": 1,
"description": "<string>",
"productGroup": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 2,
"limit": 50,
"totalCount": 123,
"totalPages": 123,
"hasNextPage": true,
"hasPrevPage": true
}
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}Budgets
List budget products
Retrieve a paginated list of products that can be used in budget line items.
GET
/
api
/
public
/
v1
/
budgets
/
products
List budget products
Authorizations
Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.
Query Parameters
Page number
Required range:
x >= 1Items per page
Required range:
1 <= x <= 100Field to sort by
Available options:
name, sku, category, vendor, unit_price, unitPrice, created_at, createdAt Sort descending
Search in name, SKU, description
Maximum string length:
255Filter by company ID
Filter by category
Maximum string length:
255Filter by vendor
Maximum string length:
255Was this page helpful?